﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using Domain;
using Domain.Entities;

namespace UsingEF
{
    public class EFBooksRepository
    {
        private EFDbContext context;

        public EFBooksRepository()
        {
            context = new EFDbContext(ConfigurationManager.ConnectionStrings[0].ConnectionString);
        }

        public IEnumerable<Book> GetBooks()
        {
            return context.Books;
        }

        public Book GetBookById(int id)
        {
            return context.Books.FirstOrDefault(x => x.Id == id);
        }
    }
}